using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace Programmation_objet_TLESIO21.TD2 {
    public class Personnes {
        // Tableau privé interne qui contient les noms des personnes.
        private string[] m_Noms { get; }
        private int m_NbElt { get; } // nombre d’éléments dans le tableau
        private int m_Max { get; }// nombre maximum d’éléments
 // Le constructeur qui initialise le tableau.
public Personnes(int Max) {
            this.m_Noms = new string[Max];
            this.m_Max = Max;
            this.m_NbElt = 0;
        }
        // L'indexeur qui retourne l'index à partir du nom.
        public int this[string Nom] {
            get {
                return Array.IndexOf(m_Noms, Nom);
            }
        }
        // L'indexeur qui retourne ou affecte le nom à partir de l’index.
        public string this[int i] {
            get {
                if (i < this.m_Noms.Length) {
                    return this.m_Noms[i];
                }
                else {
                    return "null";
                }
            }

            set {
                this.m_Noms[i] = value;
            }
        }
    }
}
